Method: projects.locations.backupChannels.delete

Deletes an existing BackupChannel.

HTTP request


DELETE https://gkebackup.googleapis.com/v1/{name=projects/*/locations/*/backupChannels/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Fully qualified BackupChannel name. Format: projects/*/locations/*/backupChannels/*

Authorization requires the following IAM permission on the specified resource name:

  • gkebackup.backupChannels.delete

Query parameters

Parameters
etag

string

Optional. If provided, this value must match the current value of the target BackupChannel's etag field or the request is rejected.

force

boolean

Optional. If set to true, any BackupPlanAssociations below this BackupChannel will also be deleted. Otherwise, the request will only succeed if the BackupChannel has no BackupPlanAssociations.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.